This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 990860 - group owners are not identified on the group page (for non-owners)
group owners are not identified on the group page (for non-owners)
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.13
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14.2
: ---
Assigned To: Amit Saha
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 02:29 EDT by Dan Callaghan
Modified: 2015-07-26 18:15 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 20:47:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-08-01 02:29:53 EDT
For users who are not admins and not owners of a group, the group page shows a cut-down read-only view. In particular, the "Group Owner" column is omitted which means it is not possible for a non-owner to determine who the owners of the group are. That means they have no easy way to figure out who they should ask if they want to be granted membership.

Additionally, I think the list of members should sort owners to the top, to make them easier to spot.
Comment 2 Dan Callaghan 2013-08-01 03:10:25 EDT
The cut-down read-only view also doesn't display the fact that a group is populated from LDAP, which is important for users to know.
Comment 3 Amit Saha 2013-08-11 16:40:07 EDT
Fwiw, the command line subcommand 'group-members' does identify the owners (http://beaker-project.org/docs-develop/man/bkr-group-members.html).
Comment 4 Amit Saha 2013-08-20 00:37:05 EDT
On Gerrit: http://gerrit.beaker-project.org/#/c/2172/
Comment 6 wangjing 2013-08-21 03:35:53 EDT
test on beaker-devel(2013.8.21)-->partly fail
steps:
1. non-admin and non-owner user check the group ownership on group page.-->pass
2. non-admin and non-owner user check the page of group populated from LDAP.-->pass
3. the list of members should sort owners to the top, to make them easier to spot.-->fail
Comment 7 Amit Saha 2013-08-21 19:41:04 EDT
(In reply to wangjing from comment #6)
> test on beaker-devel(2013.8.21)-->partly fail
> steps:
> 3. the list of members should sort owners to the top, to make them easier to
> spot.-->fail

Didn't realize that this was mandatory. Anyway, suggestions welcome for how this can be done.
Comment 8 Amit Saha 2013-08-21 21:39:24 EDT
Patch for showing the owners first: http://gerrit.beaker-project.org/#/c/2178/
Comment 10 wangjing 2013-08-26 04:02:13 EDT
verified on beaker-devel(2013.8.26)-->pass
steps:
1. non-admin and non-owner user check the group ownership on group page.-->pass
2. non-admin and non-owner user check the page of group populated from LDAP.-->pass
3. the list of members should sort owners to the top, to make them easier to spot.-->pass
Comment 11 Nick Coghlan 2013-10-02 22:29:40 EDT
Beaker 0.15 has been released.
Comment 12 Nick Coghlan 2013-10-27 23:16:10 EDT
This change has been nominated to be back ported to the 0.14 branch, to be released as part of the next maintenance release 0.14.2.

Adjusting target milestone to make the changes backported to 0.14.2 easier to identify. 0.15.0 has enough significant regressions that it shouldn't be used, so the change means that 0.15.1 can be effectively reidentified as the union of that tag and the 0.14.2 target milestone.
Comment 14 wangjing 2013-10-28 06:06:42 EDT
verified on beaker-devel(2013.8.26)-->pass
steps:
1. non-admin and non-owner user check the group ownership on group page.-->pass
2. non-admin and non-owner user check the page of group populated from LDAP.-->pass
3. the list of members should sort owners to the top, to make them easier to spot.-->pass
Comment 15 Nick Coghlan 2013-11-06 20:47:35 EST
Closing as addressed in Beaker 0.14.2.

Note You need to log in before you can comment on or make changes to this bug.